org.h2.engine

## Enum Mode.ModeEnum

- java.lang.Object
- - java.lang.Enum<Mode.ModeEnum>
  - - org.h2.engine.Mode.ModeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Mode.ModeEnum>
  Enclosing class:
    Mode

      public static enum Mode.ModeEnum
      extends java.lang.Enum<Mode.ModeEnum>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DB2`
    `Derby`
    `HSQLDB`
    `LEGACY`
    `MariaDB`
    `MSSQLServer`
    `MySQL`
    `Oracle`
    `PostgreSQL`
    `REGULAR`
    `STRICT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Mode.ModeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Mode.ModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REGULAR

          public static final Mode.ModeEnum REGULAR

    - #### STRICT

          public static final Mode.ModeEnum STRICT

    - #### LEGACY

          public static final Mode.ModeEnum LEGACY

    - #### DB2

          public static final Mode.ModeEnum DB2

    - #### Derby

          public static final Mode.ModeEnum Derby

    - #### MariaDB

          public static final Mode.ModeEnum MariaDB

    - #### MSSQLServer

          public static final Mode.ModeEnum MSSQLServer

    - #### HSQLDB

          public static final Mode.ModeEnum HSQLDB

    - #### MySQL

          public static final Mode.ModeEnum MySQL

    - #### Oracle

          public static final Mode.ModeEnum Oracle

    - #### PostgreSQL

          public static final Mode.ModeEnum PostgreSQL

  - ### Method Detail

    - #### values

          public static Mode.ModeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mode.ModeEnum c : Mode.ModeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Mode.ModeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null